
/********************************************************/
/**                                                    **/
/**       config.h (c) 1996, 97 Emiel Bruijntjes       **/
/**                                                    **/
/**           Default values and settings              **/
/**                                                    **/
/********************************************************/

#ifndef CONFIG_H_
#define CONFIG_H_

/* Replace the following line with "#define NO_X" if you don't want/need the xwin
 * command. With this command you can start up a graphical console of the bot.
 * You also have to edit the Makefile when you do not need the X11-interface
 */

#undef NO_X


/* You can compile this bot without tcl, which may be useful for users without that
 * library. Replace the following line with "#define NO_TCL" when you are one of those
 * users.
 */

#undef NO_TCL


#define MAX_CHANNELS		10    /* The maximum number of party-line channels a user can join */
#define MAX_IRC_CHANNELS        20    /* The maximum number of IRC channels the bot can join */
 
#define MAXSERVERS		20
#define WAYTOBIG 		1024
#define WAYTOBIG_OUT            2048
#define SERVERHOSTLEN 		100
#define MAXMSGSIZE 		512
#define TIMEBETWEENMSG 		1
#define MAXNICKUSERHOSTLEN 	100
#define MAXKANAALLEN 		201
#define MAXKEYLEN		24
#define SECONDSBETWEENCTCPS 	2
#define SECONDSBETWEENOUTPUT 	2
#define VERSION 		"EemBot v3.0"
#define LONGVERSION 		"EemBot v3.0 by Emiel Bruijntjes"

#endif
