
/*******************************************************/
/**                                                   **/
/**     partyline.h (c) 1996, 97 Emiel Bruijntjes     **/
/**                                                   **/
/**     List of telnet-party users + I/O with them    **/
/**                                                   **/
/*******************************************************/

#ifndef PARTYLINE_H_
#define PARTYLINE_H_


void close_and_delete_party();
void create_party(char *, int, char *);
void delete_party();

int   party_findfirst();
int   party_next();
int   party_findnick(char *);
int   party_findsockptr(int);
int   party_length();

char *party_from();
char *party_nick();
int   party_currentchannel();

void  party_nickcollision();

void  party_echo_on();
void  party_echo_off();
int   party_echo();

int   party_joinchannel(int);
void  party_leavechannel();
void  party_send2current(char *, ...);
void  party_send2party(char *, ...);
void  party_send2partychannel(int, char *, ...);
void  party_send2partychannelexceptcurrent(int, char *, ...);
void  party_leaveallchannels();
void  party_boot(char *from, char *comment);
int   party_isonchannel(int);
char *party_currentchannels();

void  party_parse_input(char *);

void  party_sendwho2party(int);

#endif



