
/*******************************************************/
/**                                                   **/
/**          term.h (c) 1997 Emiel Bruijntjes         **/
/**                                                   **/
/**        Handling the console on the terminal       **/
/**                                                   **/
/*******************************************************/


#ifndef TERM_H_
#define TERM_H_

extern char have_terminal;

void init_terminal();
void stop_terminal();
void resize_terminal();

#define TERM_SNOOP_WINDOW   1
#define TERM_IRC_WINDOW     2

void term_print_mode_line();
void term_print_status_line();

void term_send2window(char window, char *);

void term_flush_window(char window);

void read_and_parse_terminal();

#endif /* TERM_H_ */
