
/*********************************************************/
/**                                                     **/
/**       X_session.h (c) 1997, Emiel Bruijntjes        **/
/**                                                     **/
/**       Database of connections with X-servers        **/
/**                                                     **/
/*********************************************************/


extern int nr_X_consoles;


/* Start X window session on host DISPLAY_NAME, example "sloep68.cs.vu.nl:0.0"
** Return values:
** 0 : Connection failed
** 1 : All connections in use
** 2 : Could not load font
** 3 : Succeeded
*/ 
int create_X_session (char * display_name);    

int  X_session_findsockptr(int);
void read_X_events();


/* These functions return information from current in X_session list */

#define COLORVALUE_BLACK         0
#define COLORVALUE_WHITE         1
#define COLORVALUE_GRAY          2
#define COLORVALUE_HIGHGRAY      3
#define COLORVALUE_DEEPGRAY      4
#define COLORVALUE_RED           5
#define COLORVALUE_BLUE          6
#define COLORVALUE_YELLOW        7
#define COLORVALUE_GREEN         8
#define COLORVALUE_BROWN         9
#define COLORVALUE_PINK          10
#define COLORVALUE_PURPLE        11
#define COLORVALUE_ORANGE        12
#define COLORVALUE_CYAN          13
#define COLORVALUE_KHAKI         14

#define NR_OF_COLORS             15


void init_X();


#define X_SNOOP_WINDOW    1
#define X_IRC_WINDOW      2

void X_send2window(char window, char *text);


#define X_NR_LINES        20
#define X_NR_COLS         80


void X_print_window_title();
