
/*******************************************************/
/**                                                   **/
/**       annon.h (c) 1996, 97 Emiel Bruijntjes       **/
/**                                                   **/
/**         Parsing connections to telnet port        **/
/**                                                   **/
/*******************************************************/


#ifndef ANNON_H_
#define ANNON_H_

void addannon(int sockptr);

int  annon_findsockptr(int sockptr);
int  annon_findfirst();
int  annon_findnext();

void annonconnectionlost();

void check_annon_timeout();       /* Check if some anonymous connections are getting old, and close
				  ** the connections that are too old. This function should be called
				  ** once in a while.
				  */

#define ANNON_TIMEOUT      200    /* Number of seconds an annonymous connection should be allowed to exist,
				   * this is not the maximum number of seconds, but the minimum. The connections
				   * are checked as often as "check_annon_timeout()" is called. */

void parse_annon(char *);

void annon_send2current(char *, ...);

#endif
