
/********************************************************/
/**                                                    **/
/**      console.h (c) 1996, 97 Emiel Bruijntjes       **/
/**                                                    **/
/**     Printing the console and reading from stdin    **/
/**                                                    **/
/********************************************************/

#ifndef CONSOLE_H_
#define CONSOLE_H_

void console_print_mode();                         /* Print mode line */
void console_print_status();                       /* Print IRC - status line */

void console_send2snoopwindow (char *, ...);    /* Print "message" on upper window */
void console_send2snoopwindow2(char *, ...);    /* Print "(---) *** message" on upper window */
void console_send2ircwindow   (char *, ...);    /* Print "message" on IRC window */
void console_send2ircwindow2  (char *, ...);    /* Print "*** message" on IRC window */

#define CONSOLE_IRC_MODE      0
#define CONSOLE_COMMAND_MODE  1
#define CONSOLE_PARTY_MODE    2

int  console_mode();
void console_setmode(int);

#endif
