
/*********************************************************/
/**                                                     **/
/**       sescmd.h (c) 1996, 97 Emiel Bruijntjes        **/
/**                                                     **/
/**      Parsing commands entered by user from IRC      **/
/**                                                     **/
/*********************************************************/

#ifndef SESCMD_H_
#define SESCMD_H_

#include <stdio.h>

int  load_sescmds(FILE *, int);
void save_sescmds(FILE *);

void parse_command(char *);        /* Make sure the current of sessionlist is right ! */

#define  ALL        1 
#define  IDENT      2
#define  OPER       4
#define  ADMIN      8
#define  SU         16

void print_commands(void output(char *, ...));

int   change_cmd_require(char *command, int require);
int  current_cmd_require(char *command);


#endif /* not SESCMD_H_ */
