
/*********************************************************/
/**                                                     **/
/**           tcl.h (c) 1997, Emiel Bruijntjes          **/
/**                                                     **/
/**               Handling tcl-interface.               **/
/**                                                     **/
/*********************************************************/


void init_tcl();

void tcl_eval(char *string, void output(char *, ...));
void tcl_evalfile(char *file, void output(char *, ...));

void  addscript(char *script);
void  delscript();
int   findscript(char *script);
int   firstscript();
int   nextscript();
char *currentscript();


void save_scriptlist(FILE *fp);
int  load_scriptlist(FILE *fp, int version);

void eval_scriptlist();
