
/*********************************************************/
/**                                                     **/
/**       toptree.h (c) 1996, 97 Emiel Bruijntjes       **/
/**                                                     **/
/**               Sorting the userlist                  **/
/**                                                     **/
/*********************************************************/


#ifndef TOPTREE_H_
#define TOPTREE_H_

struct toptree {
  struct toptree *left;
  struct toptree *right;
  char nick[10];
  int aantal;
};


void createtree(struct toptree **, char *, int);
void deltree(struct toptree *);
void add_to_tree(struct toptree *, char *, int);

void printtimetoptree(struct toptree *tree, int *positie, int min, int max, void output(char *, ...));
void printtoptree(struct toptree *tree, int *positie, int min, int max, void output(char *, ...));

void printtoptree_html(struct toptree *tree, int *positie, int min, int max, void output(int, char *, ...), int s);
void printtimetoptree_html(struct toptree *tree, int *positie, int min, int max, void output(int, char *, ...), int s);

#endif
