
/*******************************************************/
/**                                                   **/
/**       values.h (c) 1996, 97 Emiel Bruijntjes      **/
/**                                                   **/
/**                "Global" variables.                **/
/**                                                   **/
/*******************************************************/

#ifndef VALUES_H_
#define VALUES_H_

#include <stdio.h>

void init_values();

void save_values(FILE *);
int  load_values(FILE *, int version);

int  returndefaultoutsidepartyline();
void setdefaultoutsidepartyline(int);

char *returnlogin();
void  setbotlogin(char *);

char *returnircname();
void  setircname(char *);

int  returncycles();
void setcycles(int);

int  returnmaxdccgetfilesize();
void setmaxdccgetfilesize(int newvalue);

char *returnhttpdir();
void  sethttpdir(char *dir);

char *returnnotefile();
void  setnotefile(char *);

void  setcommandchar1(char *);   /* Should be char-pointer! */
char *returncommandchar1();

void  setcommandchar2(char *);
char *returncommandchar2();

void  setcommandchar3(char *);
char *returncommandchar3();

int  returndefaultircpartyline();
void setdefaultircpartyline(int);

char *returnftp_root_dir();
void  setftp_root_dir(char *);

char *returnsu_password();
void setsu_password(char *);

char *returnhelpdir();
void sethelpdir(char *);

char *returnwhoisdir();
void setwhoisdir(char *);

char *returnmaintainer();
void setmaintainer(char *);

char *returnwordfile();
void  setwordfile(char *);

int  returnwarnings();
void setwarnings(int);

int  returndcc_block_size();
void setdcc_block_size(int);

char *returnincoming_dir();
void  setincoming_dir(char *);

char *returnirc_logfile();
void  setirc_logfile(char *);

char *returnhttp_logfile();
void  sethttp_logfile(char *);

char *returnsession_logfile();
void  setsession_logfile(char *);

char *returnparty_logfile();
void  setparty_logfile(char *);

int  returnmaxnotefilesize();
void setmaxnotefilesize(int);

int  returnnotetimeout();
void setnotetimeout(int);

char *returnmotd_file();
void  setmotd_file(char *);

char *returnxfont();
void  setxfont(char *);

int  returnflood();
void setflood(int);

#endif
